#!/bin/bash

for filer in $@
do 
parentDir=`dirname $filer`
fileNamer=`basename $filer`
extensionType=`echo  $fileNamer | awk 'BEGIN { FS = "." } ; { print $2 }'`

if [ "$extensionType" != "fbx" ] 
  then
echo "file -f -new;" | ~/Library/Services/Maya_import_and_render_preview.workflow/Contents/stmaya
echo "file -import \"$filer\";" | ~/Library/Services/Maya_import_and_render_preview.workflow/Contents/stmaya 
echo "lookThru -q perspView; viewFit -all persp;" | ~/Library/Services/Maya_import_and_render_preview.workflow/Contents/stmaya 
echo "setAttr \"defaultRenderGlobals.imageFormat\" 8;" | ~/Library/Services/Maya_import_and_render_preview.workflow/Contents/stmaya 
echo "setProject \"$parentDir\"" | ~/Library/Services/Maya_import_and_render_preview.workflow/Contents/stmaya 
echo "workspace -fileRule \"images\" \"$parentDir\";" | ~/Library/Services/Maya_import_and_render_preview.workflow/Contents/stmaya 
echo "setAttr -type \"string\" \"defaultRenderGlobals.imageFilePrefix\" \"$fileNamer\";" | ~/Library/Services/Maya_import_and_render_preview.workflow/Contents/stmaya 
echo "setAttr "hardwareRenderingGlobals.multiSampleEnable\" 1;
echo "setAttr \"perspShape.backgroundColor\" -type double3 0.5 0.5 0.5;" | ~/Library/Services/Maya_import_and_render_preview.workflow/Contents/stmaya 
echo "ogsRender -w 800 -h 600;" | ~/Library/Services/Maya_import_and_render_preview.workflow/Contents/stmaya 
fi

if [ "$extensionType" == "fbx" ] 
  then
echo "FBX" | /usr/local/bin/growlnotify
echo "file -f -new;" | ~/Library/Services/Maya_import_and_render_preview.workflow/Contents/stmaya 
echo "FBXImport -f \"$filer\"" | ~/Library/Services/Maya_import_and_render_preview.workflow/Contents/stmaya
echo "lookThru -q perspView; viewFit -all persp;" | ~/Library/Services/Maya_import_and_render_preview.workflow/Contents/stmaya 
echo "setAttr \"defaultRenderGlobals.imageFormat\" 8;" | ~/Library/Services/Maya_import_and_render_preview.workflow/Contents/stmaya 
echo "setProject \"$parentDir\"" | ~/Library/Services/Maya_import_and_render_preview.workflow/Contents/stmaya 
echo "workspace -fileRule \"images\" \"$parentDir\";" | ~/Library/Services/Maya_import_and_render_preview.workflow/Contents/stmaya 
echo "setAttr -type \"string\" \"defaultRenderGlobals.imageFilePrefix\" \"$fileNamer\";" | ~/Library/Services/Maya_import_and_render_preview.workflow/Contents/stmaya 
echo "setAttr "hardwareRenderingGlobals.multiSampleEnable\" 1;
echo "setAttr \"perspShape.backgroundColor\" -type double3 0.5 0.5 0.5;" | ~/Library/Services/Maya_import_and_render_preview.workflow/Contents/stmaya 
echo "ogsRender -w 800 -h 600;" | ~/Library/Services/Maya_import_and_render_preview.workflow/Contents/stmaya 
fi


done